/// <reference path="../tsDefinitions/phaser.d.ts" />

module GGJ16 {
    export class Main extends Phaser.Game {
        
        constructor() {       
            super(1200,760, Phaser.AUTO, 'content', null);
            
            this.state.add('Boot', Boot, false);
            this.state.add('Preload', Preload, false);
            this.state.add('Puzzle3', Puzzle3, false);
            this.state.add('Puzzle4', Puzzle4, false);
            this.state.add('Puzzle5', Puzzle5, false);
            
            this.state.add('MainMenu', MainMenu, false);
            this.state.add('Credits', Credits, false);
            this.state.add('Room1', Room1, false);
            this.state.add('Room2', Room2, false);
            this.state.add('Room3', Room3, false);
            this.state.add('Intro', Intro, false);
            this.state.add('Outro', Outro, false);
            this.state.start('Boot');
        }
    }
}

window.onload = () => { 
    var game = new GGJ16.Main();
};